# GENERATE CONTRACT

Upload the required documentation for certificate issuance.

Endpoint: POST /api/v1/requests/{id}/pl_upload_document
Version: v1

## Path parameters:

  - `id` (string, required)
    The unique identifier of the Request

## Request fields (multipart/form-data):

  - `document` (string, required)
    The file to be uploaded

  - `type` (string, required)
    The type of the document to be uploaded
    Enum: "document_front", "document_rear", "document_owner", "extra_document"

## Response 201 fields (application/json):

  - `pk` (number)
    The document database id

  - `type` (number)
    The uploaded document type

## Response 404 fields (application/json):

  - `code` (string)
    The response status code

  - `id` (string)
    The response status id

  - `error` (string)
    The response status message

## Response 412 fields (application/json):

  - `code` (string)
    The response status code

  - `id` (string)
    The response status id

  - `error` (string)
    The response status message

## Response 500 fields (application/json):

  - `code` (string)
    The response status code

  - `id` (string)
    The response status id

  - `error` (string)
    The response status message


